cgGetFirstError(3)

NAME
cgGetFirstError - get the first error condition

SYNOPSIS
  #include <Cg/cg.h>
  CGerror cgGetFirstError( void );

PARAMETERS
None.

RETURN VALUES
Returns the first error condition that has occured since cgGetFirstError was last called.

Returns CG_NO_ERROR if no error has occurred.

DESCRIPTION
cgGetFirstError returns the first error condition that has occured since cgGetFirstError was previously called.

EXAMPLES
  CGerror firstError = cgGetFirstError();

ERRORS
None.

HISTORY
cgGetError was introduced in Cg 1.4.

SEE ALSO
the cgSetErrorHandler manpage, the cgGetError manpage